@import "@styles/base/colors";
@import "@styles/base/typography.scss";

// common
.tradesPage {
  & > div:first-child {
    max-width: 616px;
  }

  & > div:last-child {
    max-width: 929px;
  }
}

.title {
  display: flex;
  justify-content: space-between;
  align-items: center;
  margin-bottom: 0 !important;
  margin-top: 30px !important;
  padding-bottom: 25px !important;

  .cardTitle {
    text-transform: capitalize;
  }

  .titleTip {
    @include font($fontGotham, 14px, 16.8px);
    color: $greyColor;
  }
}

// shifts card
.shiftCard {
  max-height: 426px;
  overflow: hidden;
  margin-bottom: 25px;
}

.shiftsContainer {
  height: 340px;
  overflow-y: scroll;
  padding-bottom: 20px;
  padding-top: 10px;

  .shiftPlate {
    width: 100%;
    height: 80px;
    display: flex;
    align-items: center;
    padding: 15px 35px;
    @include font($fontGotham, 18px, 21.6px);
    color: $blackColor;
    cursor: pointer;

    .shiftDate {
      & > div:first-child {
        @include font($fontGothamLight, 18px, 21.6px);
        color: $greyText;
        margin-bottom: 5px;
      }
    }

    .userContainer {
      display: flex;
      margin: 0 auto;
    }

    .avatar {
      margin-right: 25px;
    }

    .shiftInfo {
      & > div:last-child {
        @include font($fontGotham, 14px, 16.8px);
        color: $greyText;
        margin-top: 5px;
      }
    }
  }

  .shiftPlate.firstSelected {
    background-color: $lightBlueColor;

    & div {
      color: $primaryColor !important;
    }
  }

  .shiftPlate.secondSelected {
    background-color: $yellowColor;

    & div {
      color: $yellowText !important;
    }
  }
}

// weeks card
.weekCard {
  margin-bottom: 25px;
}

.weekTitle {
  justify-content: initial;

  & > div:first-child {
    margin-right: 50px;
  }
}

.successTip {
  color: $greenTextColor !important;
}

.weekContainer {
  display: flex;
  flex-direction: column;
  padding: 20px 35px 25px;

  .head {
    display: flex;
    justify-content: space-between;
    padding-bottom: 12px;

    .day {
      width: 100%;
      max-width: 100px;
      @include font($fontGothamLight, 14px, 16.8px);
      color: $greyText;
      text-align: center;
    }

    .day.active {
      @include font($fontGothamBold, 14px, 16.8px);
      color: $primaryColor;
    }
  }

  .dates {
    display: grid;
    grid-template-columns: repeat(7, minmax(0, 1fr));
    column-gap: 25px;
    row-gap: 15px;

    .date {
      width: 100%;
      max-width: 100px;
      height: 64px;
      display: flex;
      flex-direction: column;
      align-items: center;
      cursor: pointer;
      display: flex;
      justify-content: center;
      align-items: center;
      border: 1px solid $greyColor;
      border-radius: 10px;
      @include font($fontGotham, 28px, 33.6px);
      color: $greyColor;

      &:hover {
        border: none;
        background-color: $primaryColor;
        color: $whiteColor;
      }
    }

    .date.active {
      border: none;
      background-color: $primaryColor;
      color: $whiteColor;
    }
  }
}

.checkerTitle {
  margin-top: 10px !important;
  padding-bottom: 15px !important;
}

.checkerContainer {
  padding: 15px 35px 15px;

  .checkerShift {
    margin-bottom: 25px;

    &:last-child {
      margin-bottom: 0;
    }

    .shiftDate {
      display: flex;
      margin-bottom: 10px;

      & > div:first-child {
        @include font($fontGotham, 16px, 19.2px);
        color: $blackColor;
        margin-right: 15px;
      }

      & > div:last-child {
        @include font($fontGothamLight, 14px, 16.8px);
        color: $greyText;
      }
    }
  }
}

// form card
.formCard {
  background-color: $lightBlueSecColor !important;

  .actionTitle {
    border-bottom: 0;
    margin-bottom: 0;
    padding-bottom: 10px;
    @include font($fontGotham, 24px, 28.8px);
    color: $blackColor;
  }

  .controlsContainer {
    display: flex;
    gap: 35px;
    padding: 0 35px 25px;

    .field {
      width: 100%;
    }

    .btnsContainer {
      width: 100%;
      max-width: 208px;
      display: flex;
      flex-direction: column;
      flex-shrink: 0;
      gap: 15px;
    }
  }
}
